# The upstream version
%global upver 2.13.1.0
# The project url on the forge
%global forgeurl https://github.com/skarnet/s6/
# The tag being packaged
%global tag v%{upver}
# The commit being packaged
%global commit 6724a0b86592fd293ead4bf66facec6e9afcbcb9

%forgemeta


Name:       s6
Version:    %{upver}
Release:    %{autorelease}
Summary:    The s6 supervision suite
URL:        %{forgeurl}
License:    ISC
Source:     %{forgesource}

BuildRequires:  gcc
BuildRequires:  make
BuildRequires:  skalibs-devel
BuildRequires:  execline-devel

Requires:   %{name}-libs%{_isa} = %{version}
Requires:   execline

%description
s6 is a suite of programs designed to allow process
supervision and management. It can also be used as the
foundation for a complete init system: the s6-rc and
s6-linux-init package, for instance, expand on it.


%package doc
Summary: The s6 supervision suite Documentaion

%description doc
The s6 supervision suite Documentaion package.


%package libs
Summary: The s6 supervision suite library files

%description libs
The s6 supervision suite library package.


%package devel
Summary:    The s6 supervision suite Development files
Requires:   %{name}%{_isa} = %{version}
Requires:   skalibs-devel
Requires:   execline-devel

%description devel
The s6 supervision suite development package.


%prep
%forgeautosetup


%build
export PATH="%{_execdir}:${PATH}"
%configure \
    --bindir=%{_execdir} \
    --dynlibdir=%{_libdir} \
    --with-sysdeps=%{_sysdepsdir} \
    --with-include=%{_includedir} \
    --with-lib=%{_libdir} \
    --with-dynlib=%{_libdir} \
    --enable-shared \
    --disable-allstatic \
    --disable-static
%make_build


%install
export PATH="%{_execdir}:${PATH}"
%{__make} install DESTDIR=%{?buildroot}


%check
: TODO Check


%files
%license COPYING
%{_execdir}/s6-accessrules-cdb-from-fs
%{_execdir}/s6-accessrules-fs-from-cdb
%{_execdir}/s6-applyuidgid
%{_execdir}/s6-cleanfifodir
%{_execdir}/s6-connlimit
%{_execdir}/s6-envdir
%{_execdir}/s6-envuidgid
%{_execdir}/s6-fdholder-daemon
%{_execdir}/s6-fdholder-delete
%{_execdir}/s6-fdholder-getdump
%{_execdir}/s6-fdholder-list
%{_execdir}/s6-fdholder-retrieve
%{_execdir}/s6-fdholder-setdump
%{_execdir}/s6-fdholder-store
%{_execdir}/s6-fdholder-transferdump
%{_execdir}/s6-fdholderd
%{_execdir}/s6-fghack
%{_execdir}/s6-ftrig-listen
%{_execdir}/s6-ftrig-listen1
%{_execdir}/s6-ftrig-notify
%{_execdir}/s6-ftrig-wait
%{_execdir}/s6-ftrigrd
%{_execdir}/s6-instance-control
%{_execdir}/s6-instance-create
%{_execdir}/s6-instance-delete
%{_execdir}/s6-instance-list
%{_execdir}/s6-instance-maker
%{_execdir}/s6-instance-status
%{_execdir}/s6-ioconnect
%{_execdir}/s6-ipcclient
%{_execdir}/s6-ipcserver
%{_execdir}/s6-ipcserver-access
%{_execdir}/s6-ipcserver-socketbinder
%{_execdir}/s6-ipcserverd
%{_execdir}/s6-log
%{_execdir}/s6-mkfifodir
%{_execdir}/s6-notifyoncheck
%{_execdir}/s6-permafailon
%{_execdir}/s6-setlock
%{_execdir}/s6-setsid
%{_execdir}/s6-setuidgid
%{_execdir}/s6-socklog
%{_execdir}/s6-softlimit
%{_execdir}/s6-sudo
%{_execdir}/s6-sudoc
%{_execdir}/s6-sudod
%{_execdir}/s6-supervise
%{_execdir}/s6-svc
%{_execdir}/s6-svdt
%{_execdir}/s6-svdt-clear
%{_execdir}/s6-svlink
%{_execdir}/s6-svlisten
%{_execdir}/s6-svlisten1
%{_execdir}/s6-svok
%{_execdir}/s6-svperms
%{_execdir}/s6-svscan
%{_execdir}/s6-svscanctl
%{_execdir}/s6-svstat
%{_execdir}/s6-svunlink
%{_execdir}/s6-svwait
%{_execdir}/s6-tai64n
%{_execdir}/s6-tai64nlocal
%{_execdir}/s6-usertree-maker
%{_execdir}/ucspilogd


%files libs
%{_libdir}/libs6.so*
%{_libdir}/libs6auto.so*


%files doc
%doc doc/


%files devel
%{_includedir}/s6/*


%changelog
%{autochangelog}
